| NavigationUserBlockTest::$normalUser |
property |
core/modules/navigation/tests/src/Functional/NavigationUserBlockTest.php |
An authenticated user to test navigation block caching. |
| NavigationUserBlockTest::setUp |
function |
core/modules/navigation/tests/src/FunctionalJavascript/NavigationUserBlockTest.php |
|
| NavigationUserBlockTest::setUp |
function |
core/modules/navigation/tests/src/Functional/NavigationUserBlockTest.php |
|
| NavigationUserBlockTest::testNavigationUserBlock |
function |
core/modules/navigation/tests/src/FunctionalJavascript/NavigationUserBlockTest.php |
Test output of user navigation block with regards to contents. |
| NavigationUserBlockTest::testNavigationUserBlock |
function |
core/modules/navigation/tests/src/Functional/NavigationUserBlockTest.php |
Test output of user navigation block with regards to caching and contents. |
| NavigationUserBlockTest::testNavigationUserBlockFallback |
function |
core/modules/navigation/tests/src/Functional/NavigationUserBlockTest.php |
Test output of user navigation block when there are no menu items. |
| NavigationWorkspacesUiTest |
class |
core/modules/navigation/tests/src/Functional/NavigationWorkspacesUiTest.php |
Tests for \Drupal\navigation\WorkspacesLazyBuilder. |
| NavigationWorkspacesUiTest.php |
file |
core/modules/navigation/tests/src/Functional/NavigationWorkspacesUiTest.php |
|
| NavigationWorkspacesUiTest::$defaultTheme |
property |
core/modules/navigation/tests/src/Functional/NavigationWorkspacesUiTest.php |
The theme to install as the default for testing. |
| NavigationWorkspacesUiTest::$modules |
property |
core/modules/navigation/tests/src/Functional/NavigationWorkspacesUiTest.php |
Modules to install. |
| NavigationWorkspacesUiTest::setUp |
function |
core/modules/navigation/tests/src/Functional/NavigationWorkspacesUiTest.php |
|
| NavigationWorkspacesUiTest::testWorkspacesNavigationButton |
function |
core/modules/navigation/tests/src/Functional/NavigationWorkspacesUiTest.php |
Tests the Workspaces button in the navigation bar. |
| navigation_test.icons.yml |
file |
core/modules/navigation/tests/navigation_test/navigation_test.icons.yml |
core/modules/navigation/tests/navigation_test/navigation_test.icons.yml |
| navigation_test.info.yml |
file |
core/modules/navigation/tests/navigation_test/navigation_test.info.yml |
core/modules/navigation/tests/navigation_test/navigation_test.info.yml |
| navigation_test.links.menu.yml |
file |
core/modules/navigation/tests/navigation_test/navigation_test.links.menu.yml |
core/modules/navigation/tests/navigation_test/navigation_test.links.menu.yml |
| navigation_test_block.info.yml |
file |
core/modules/navigation/tests/navigation_test_block/navigation_test_block.info.yml |
core/modules/navigation/tests/navigation_test_block/navigation_test_block.info.yml |
| navigation_test_top_bar.info.yml |
file |
core/modules/navigation/tests/navigation_test_top_bar/navigation_test_top_bar.info.yml |
core/modules/navigation/tests/navigation_test_top_bar/navigation_test_top_bar.info.yml |
| NegotiationMiddlewareTest |
class |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests Drupal\Core\StackMiddleware\NegotiationMiddleware. |
| NegotiationMiddlewareTest.php |
file |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
|
| NegotiationMiddlewareTest::$contentNegotiation |
property |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
|
| NegotiationMiddlewareTest::$httpKernel |
property |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
|
| NegotiationMiddlewareTest::setUp |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
|
| NegotiationMiddlewareTest::testAjaxIframeUpload |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the getContentType() method with AJAX iframe upload. |
| NegotiationMiddlewareTest::testFormatViaQueryParameter |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the specifying a format via query parameters gets used. |
| NegotiationMiddlewareTest::testHandle |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests that handle() correctly hands off to sub application. |
| NegotiationMiddlewareTest::testSetFormat |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests set format. |
| NegotiationMiddlewareTest::testUnknownContentTypeButAjaxRequest |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the getContentType() method when no priority format is found but it's an AJAX request. |
| NegotiationMiddlewareTest::testUnknownContentTypeReturnsNull |
function |
core/tests/Drupal/Tests/Core/StackMiddleware/NegotiationMiddlewareTest.php |
Tests the getContentType() method when no priority format is found. |
| NestedArrayTest |
class |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests Drupal\Component\Utility\NestedArray. |
| NestedArrayTest.php |
file |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
|
| NestedArrayTest::$form |
property |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Form array to check. |
| NestedArrayTest::$parents |
property |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Array of parents for the nested element. |
| NestedArrayTest::providerTestFilter |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
|
| NestedArrayTest::setUp |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
|
| NestedArrayTest::testFilter |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests filter. |
| NestedArrayTest::testGetValue |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests getting nested array values. |
| NestedArrayTest::testKeyExists |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests existence of array key. |
| NestedArrayTest::testMergeDeepArray |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests NestedArray::mergeDeepArray(). |
| NestedArrayTest::testMergeExplicitKeys |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests that even with explicit keys, values are appended, not merged. |
| NestedArrayTest::testMergeImplicitKeys |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests that arrays with implicit keys are appended, not merged. |
| NestedArrayTest::testMergeOutOfSequenceKeys |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests that array keys values on the first array are ignored when merging. |
| NestedArrayTest::testSetValue |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests setting nested array values. |
| NestedArrayTest::testSetValueForce |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests force-setting values. |
| NestedArrayTest::testUnsetValue |
function |
core/tests/Drupal/Tests/Component/Utility/NestedArrayTest.php |
Tests unsetting nested array values. |
| NestedCompositeConstraintValidatorTest |
class |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
Tests nested composite validation constraints. |
| NestedCompositeConstraintValidatorTest.php |
file |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
|
| NestedCompositeConstraintValidatorTest::$modules |
property |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
Modules to install. |
| NestedCompositeConstraintValidatorTest::testConfigValidation |
function |
core/tests/Drupal/KernelTests/Core/Validation/NestedCompositeConstraintValidatorTest.php |
Tests use of AtLeastOneOf validation constraint in config. |
| NestedEntityTestForm |
class |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
Provides a form for field_test routes. |
| NestedEntityTestForm.php |
file |
core/modules/field/tests/modules/field_test/src/Form/NestedEntityTestForm.php |
|